# ACE_Less_Than< const wchar_t * > Class Template Reference

Function object for determining whether the first const string is less than the second const string. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions

int | operator() (const wchar_t *lhs, const wchar_t *rhs) const
| Simply calls ACE_OS::strcmp.

## Detailed Description

### template<>
class ACE_Less_Than< const wchar_t * >

Function object for determining whether the first const string is less than the second const string.

## Member Function Documentation

ACE_INLINE int ACE_Less_Than< const wchar_t * >::operator() | ( | const wchar_t * | lhs,
|  | const wchar_t * | rhs
| ) | const

| Simply calls ACE_OS::strcmp.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl